/// <reference types="node" />
import { Base } from "../../base";
import { HbListEvent, HbListOption } from './type';
/**
 * @fires event
 * @property src
 * @property multiSource
 * @property breakPoint
 * @property pcPrefix
 * @csspart picture
 * @csspart skeleton
 * @csspart img
 */
export declare class HbList extends Base {
    static get styles(): any[];
    options: HbListOption[];
    attributeSync: boolean;
    open: boolean;
    value: string;
    emptyText: string;
    width: number;
    maxHeight: number;
    static get properties(): {
        options: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        value: {
            type: StringConstructor;
            Reflect: boolean;
        };
        emptyText: {
            type: StringConstructor;
            Reflect: boolean;
        };
        width: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        maxHeight: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        attributeSync: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
    };
    get values(): string[];
    sto: NodeJS.Timeout;
    onSelect(ev: HbListEvent): void;
    onHide(): void;
    adapterHide(): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-list': HbList;
    }
}
