/// <reference types="react" />
import type { Size } from "../../atom/variable/type";
import type { HbButtonNativeType, HbButtonTheme, HbButtonType } from "./type";
import { type TemplateResult } from 'lit';
import "../../atom/icon";
import "../../atom/spinner";
import "../../atom/transition";
import "../input";
import { Base } from "../../base";
/**
 * @fires event 클릭할때
 * @property theme
 * @property size
 * @property type
 * @property loading
 * @property disabled
 * @slot slot--left - optional, slot--left부분을 커스텀할때 사용
 * @slot slot--right - optional, slot--right부분을 커스텀할때 사용
 * @slot 내용 컨텐츠 영역
 * @csspart label
 * @csspart list
 */
export declare class HbButton extends Base {
    static get styles(): any[];
    label: string;
    type: HbButtonType;
    size: Size;
    baseLoadingDuration: number;
    theme: HbButtonTheme;
    plain: boolean;
    loading: boolean;
    disabled: boolean;
    href: string;
    target: React.HTMLAttributeAnchorTarget;
    rel: string;
    'native-type': HbButtonNativeType | undefined;
    static get properties(): {
        theme: {
            type: StringConstructor;
            reflect: boolean;
        };
        size: {
            type: StringConstructor;
            reflect: boolean;
        };
        type: {
            type: StringConstructor;
            reflect: boolean;
        };
        loading: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        plain: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        baseLoadingDuration: {
            type: NumberConstructor;
            reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        href: {
            type: StringConstructor;
            reflect: boolean;
        };
        target: {
            type: StringConstructor;
            reflect: boolean;
        };
        rel: {
            type: StringConstructor;
            reflect: boolean;
        };
        'native-type': {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    static formAssociated: boolean;
    private readonly internals;
    _handleClick(): Promise<void>;
    render(): TemplateResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-button': HbButton;
    }
}
