/// <reference types="react" />
import type { Size } from "../../../index";
export interface HbButtonProps {
    plain?: boolean;
    size?: Size;
    theme?: HbButtonTheme;
    loading?: boolean;
    type?: HbButtonType;
    baseLoadingDuration?: number;
    disabled?: boolean;
    href?: string;
    target?: React.HTMLAttributeAnchorTarget | string;
    rel?: string;
    'native-type'?: HbButtonNativeType;
    event?: () => void;
}
export declare const hbButtonNativeTypes: readonly ["button", "submit"];
export type HbButtonNativeType = (typeof hbButtonNativeTypes)[number];
export type HbButtonSlots = 'slot--left' | 'slot--right';
export declare const hbButtonTypes: readonly ["rectangle", "radius", "circle"];
export type HbButtonType = (typeof hbButtonTypes)[number];
export declare const hbButtonThemes: readonly ["primary", "secondary", "success", "error", "warning", "info", "tertiary", "quaternary", "harvest", "defi"];
export type HbButtonTheme = (typeof hbButtonThemes)[number];
