import "../skeleton";
import { Base } from "../../base";
import { HbCarouselEventStatus } from './type';
/**
 * @property open 온 오프
 * @property width
 * @property persistent
 * @property hideCloseBtn
 * @property icon
 * @property title
 * @property auto Boolean, 자동롤링
 * @property pause Boolean, 마우스오버시 멈춤
 * @property infinite Boolean, 무한롤링 (마지막 오른쪽 아이템에서 첫 번째로 넘어가지 않고, 오른쪽으로 계속 진행)
 * @property indicate Boolean, 인디케이터
 * @property duration Number, 자동롤링 시간
 * @property speed Number, 롤링 속도
 * @property hasVariableChildren 메인 배너용, 영역 생성 후에 preload된 자식을 할당하는 등 자식이 가변적인 경우
 * @slot content - optional, 내용
 * @slot button - optional, 버튼
 * @slot anchor - optional, 앵커
 * @csspart container
 * @csspart icon
 * @csspart title
 * @csspart content
 * @csspart buttons
 * @csspart anchor
 */
export declare class HbCarousel extends Base {
    static get styles(): any[];
    /**
     * @property {boolean} hasVariableChildren 메인 배너용, 영역 생성 후에 preload된 자식을 할당하는 등 자식이 가변적인 경우
     */
    hasVariableChildren: boolean;
    auto: boolean;
    pause: boolean;
    infinite: boolean;
    rolling: boolean;
    indicate: boolean;
    draggable: boolean;
    clickable: boolean;
    moveable: boolean;
    duration: number;
    speed: number;
    flexWidth: number;
    fakeLength: number;
    index: number;
    visibleLength: number;
    holderFlag: boolean;
    _userIndex: number;
    itemLength: number;
    itemElements: HTMLElement[];
    startPointer: {
        clientX: number;
        clientY: number;
    };
    dragDistance: number;
    eventStatus: HbCarouselEventStatus;
    sto: ReturnType<typeof setTimeout>;
    static get properties(): {
        auto: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        pause: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        infinite: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        indicate: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        rolling: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        holderFlag: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        draggable: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        eventStatus: {
            type: StringConstructor;
            Reflect: boolean;
        };
        dragDistance: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        index: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        flexWidth: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        fakeLength: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        itemLength: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        transitionFlag: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        visibleLength: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        duration: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        speed: {
            type: NumberConstructor;
            Reflect: boolean;
        };
    };
    get totalWidth(): number;
    get transitionFlag(): boolean;
    get positions(): number[];
    set userIndex(index: number);
    get userIndex(): number;
    get transitionDuration(): number;
    get itemPosition(): string;
    get shouldLazyUpdate(): boolean;
    onResizeBound: any;
    onEventStartBound: any;
    onEventEndBound: any;
    onEventDoingBound: any;
    private clonedItemsBefore;
    private clonedItemsAfter;
    connectedCallback(): Promise<void>;
    firstUpdated(): Promise<void>;
    disconnectedCallback(): void;
    onResize(): void;
    onAuto(step?: number): Promise<void>;
    onIndicateClick(index: number): void;
    onItemClick(event: MouseEvent): void;
    getClientPoint(event: MouseEvent | TouchEvent): {
        clientX: number;
        clientY: number;
    };
    onEventStart(event: MouseEvent | TouchEvent): void;
    onEventEnd(): void;
    closeIndex(position: number): number;
    diff(a: number, b: number): number;
    onEventDoing(event: MouseEvent | TouchEvent): void;
    render(): import("lit").TemplateResult<1>;
    get indicateTemplate(): import("lit").TemplateResult<1>;
    get infiniteSlotBeforeTemplate(): import("lit").TemplateResult<1>;
    get infiniteSlotAfterTemplate(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-carousel': HbCarousel;
    }
}
