import "../../atom/list";
import "../../atom/transition";
import { HbListOption } from "../../atom/list/type";
import { Base } from "../../base";
/**
 * @fires event 값이 변경될때 발생
 * @property attributeSync true 시 value값이 arrtibute 싱크됨
 * @property fixed true 시 overflow에서 넘어감
 * @property value 기본 값
 * @property options Options[] 옵션
 * @property search 서치 온오프
 * @slot icon - optional, icon부분을 커스텀할때 사용
 * @slot caret - optional, caret부분을 커스텀할때 사용
 * @slot option - required, select의 옵션 엘리먼트
 * @csspart label
 * @csspart list
 */
export declare class HbCombo extends Base {
    static get styles(): any[];
    inputEl?: HTMLInputElement;
    parentQuery?: string;
    parentEl?: HTMLElement;
    attributeSync: boolean;
    fixed: boolean;
    search: boolean;
    open: boolean;
    top: number;
    left: number;
    width: number;
    maxHeight: number;
    value: string;
    options: HbListOption[];
    placeholder: string;
    emptyText: string;
    hasFocus: boolean;
    inputValue: string;
    resolve: (value?: unknown) => void;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        search: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        attributeSync: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        fixed: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        top: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        left: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        width: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        maxHeight: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        value: {
            type: StringConstructor;
            Reflect: boolean;
        };
        options: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        emptyText: {
            type: StringConstructor;
            Reflect: boolean;
        };
        inputValue: {
            type: StringConstructor;
            Reflect: boolean;
        };
        parentQuery: {
            type: StringConstructor;
            Reflect: boolean;
        };
        hasFocus: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
    };
    get list(): HbListOption[];
    get values(): string[];
    get label(): string;
    get scrollEventListener(): HTMLElement | (Window & typeof globalThis);
    render(): import("lit").TemplateResult<1>;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    onScroll(): void;
    onScrollBound: any;
    onInput(ev: InputEvent): void;
    onSelect(ev: Event): void;
    onShow(): void;
    adapterShow(): Promise<void>;
    onHide(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-combo': HbCombo;
    }
}
