import "../../atom/loading";
import { Base } from "../../base";
/**
 * @property src
 * @property multiSource
 * @property breakPoint
 * @property pcPrefix
 * @csspart picture
 * @csspart skeleton
 * @csspart img
 */
export declare class HbImg extends Base {
    static get styles(): any[];
    src: string;
    alt: string;
    loadingWidth: number;
    loadingHeight: number;
    breakPoint: number;
    multiSource: number;
    pcPrefix: string;
    loaded: boolean;
    error: boolean;
    static get properties(): {
        src: {
            type: StringConstructor;
            reflect: boolean;
        };
        alt: {
            type: StringConstructor;
            reflect: boolean;
        };
        loadingWidth: {
            type: NumberConstructor;
            reflect: boolean;
        };
        loadingHeight: {
            type: NumberConstructor;
            reflect: boolean;
        };
        multiSource: {
            type: NumberConstructor;
            reflect: boolean;
        };
        breakPoint: {
            type: NumberConstructor;
            reflect: boolean;
        };
        pcPrefix: {
            type: StringConstructor;
            reflect: boolean;
        };
        loaded: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        error: {
            type: BooleanConstructor;
            reflect: boolean;
        };
    };
    get srcExt(): string;
    get srcName(): string;
    get set(): any[];
    get srcset(): string;
    get pcSrcset(): string;
    render(): import("lit").TemplateResult<1>;
    onLoad(event: Event): void;
    onError(event: Event): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-img': HbImg;
    }
}
