import { Base } from "../../base";
import { HbInputType } from './type';
import "../button";
/**
 * An example element.
 *
 * @fires event 값이 변경될때 발생
 * @property value 기본 값
 * @property attributeSync true 시 value값이 arrtibute 싱크됨
 * @property placeholder
 * @property decimal 소수점
 * @property comma 콤마
 * @property maxlength 최대글자수
 * @property type 텍스트 숫자 비번
 * @property error 텍스트 숫자 비번
 * @property readonly 텍스트 숫자 비번
 * @property clearable 텍스트 숫자 비번
 * @property isValidated 텍스트 숫자 비번
 * @slot slot--left - optional, 왼쪽 영역(아이콘)
 * @slot slot--right - optional, 오른쪽 영역(버튼)
 * @csspart slot--left
 * @csspart border
 * @csspart slot--right
 */
export declare class HbInput extends Base {
    static get styles(): any[];
    _value: string;
    inputEl?: HTMLInputElement;
    attributeSync: boolean;
    placeholder: string;
    _error: boolean;
    decimal: number;
    comma: number;
    clearable: boolean;
    isValidated: boolean;
    _countdown: number;
    _readonly: boolean;
    _disabled: boolean;
    maxlength?: number;
    type: HbInputType;
    nowrap: boolean;
    static formAssociated: boolean;
    private readonly internals;
    get disabled(): boolean;
    set disabled(value: boolean);
    get readonly(): boolean;
    set readonly(value: boolean);
    get error(): boolean;
    set error(value: boolean);
    static get properties(): {
        value: {
            type: StringConstructor;
            Reflect: boolean;
        };
        attributeSync: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        type: {
            type: StringConstructor;
            Reflect: boolean;
        };
        placeholder: {
            type: StringConstructor;
            Reflect: boolean;
        };
        maxlength: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        comma: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        decimal: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        error: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        readonly: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        _readonly: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        _disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        nowrap: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        clearable: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        isValidated: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
    };
    get pattern(): string;
    get inputmode(): string;
    get isType(): HbInputType;
    set value(value: string);
    get value(): string;
    get originalValue(): string;
    get isMaxlength(): number;
    /**
     * @deprecated textArea대신 input을 사용할 수 있게 개선해야함.
     */
    render(): import("lit").TemplateResult<1>;
    onResize(): void;
    readonly ableNumber: RegExp;
    readonly ableCurrency: RegExp;
    readonly ableEnglish: RegExp;
    onEnter(ev: KeyboardEvent): boolean | void;
    onInput(): void;
    toEnglish(value: string): string;
    toCurrency(value: string, toNumber?: boolean): string;
    toNumber(value: string): string;
    onChange(): void;
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-input': HbInput;
    }
}
