import '../';
import { HbTransitionType } from "../../../atom/transition/type";
import { type HorizonAlign } from "../../../atom/variable/type";
import { Base } from "../../../base";
import { HbDialogAnchor, HbDialogButton, HbModalButtonAlign } from "../type";
import { HbIconName } from "../../../atom/icon/type";
/**
 * @fires close 닫기
 * @property open 온 오프
 * @property width
 * @property persistent
 * @property hideCloseBtn
 * @property icon
 * @property iconColor
 * @property image
 * @property title
 * @property caption
 * @slot 내용
 * @csspart container
 * @csspart icon
 * @csspart title
 * @csspart content
 * @csspart buttons
 * @csspart anchor
 */
export declare class HbDialog extends Base {
    static get styles(): any[];
    _bodyClass: string;
    layout: string;
    loading: boolean;
    width: string;
    height: string;
    open: boolean;
    headAlign: HorizonAlign;
    icon: HbIconName | undefined;
    iconColor: string;
    image: string;
    title: string;
    caption: string;
    persistent: boolean;
    hideCloseBtn: boolean;
    buttonAlign: HbModalButtonAlign;
    anchor: HbDialogAnchor | undefined;
    buttons: HbDialogButton[] | undefined;
    disabled: boolean;
    preventBodyScroll: boolean;
    get _buttons(): HbDialogButton[];
    get transitionType(): HbTransitionType;
    get eventDisabled(): boolean;
    static get properties(): {
        layout: {
            type: StringConstructor;
            reflect: boolean;
        };
        open: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        buttons: {
            type: ArrayConstructor;
            reflect: boolean;
        };
        anchor: {
            type: ObjectConstructor;
            reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        preventBodyScroll: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        eventDisabled: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        persistent: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        hideCloseBtn: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        width: {
            type: StringConstructor;
            reflect: boolean;
        };
        height: {
            type: StringConstructor;
            reflect: boolean;
        };
        loading: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        buttonAlign: {
            type: StringConstructor;
            reflect: boolean;
        };
        headAlign: {
            type: StringConstructor;
            reflect: boolean;
        };
        title: {
            type: StringConstructor;
            reflect: boolean;
        };
        caption: {
            type: StringConstructor;
            reflect: boolean;
        };
        icon: {
            type: StringConstructor;
            reflect: boolean;
        };
        iconColor: {
            type: StringConstructor;
            reflect: boolean;
        };
        image: {
            type: StringConstructor;
            reflect: boolean;
        };
        transitionType: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    render(): import("lit").TemplateResult<1>;
    onClose(): void;
    disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-dialog': HbDialog;
    }
}
