import "../anchor";
import "../button";
import "../img";
import { HbTransitionType } from "../../atom/transition/type";
import { HorizonAlign, VerticalAlign } from "../../atom/variable/type";
import { Base } from "../../base";
export declare class HbModal extends Base {
    static get styles(): any[];
    connectedCallback(): Promise<void>;
    disconnectedCallback(): void;
    verticalAlign: VerticalAlign;
    horizonAlign: HorizonAlign;
    transitionType: HbTransitionType;
    containerEl?: HTMLDivElement;
    width: string;
    height: string;
    open: boolean;
    persistent: boolean;
    get position(): string;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        persistent: {
            type: BooleanConstructor;
            reflect: boolean;
        };
        width: {
            type: StringConstructor;
            reflect: boolean;
        };
        height: {
            type: StringConstructor;
            reflect: boolean;
        };
        transitionType: {
            type: StringConstructor;
            reflect: boolean;
        };
        verticalAlign: {
            type: StringConstructor;
            reflect: boolean;
        };
        horizonAlign: {
            type: StringConstructor;
            reflect: boolean;
        };
    };
    render(): import("lit").TemplateResult<1>;
    onAnimationEnd(event: AnimationEvent): void;
    adapterOnClose(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-modal': HbModal;
    }
}
