import '../';
import { HbTransitionType } from "../../../atom/transition/type";
import { Base } from "../../../base";
/**
 * @fires close 닫기
 * @property open 온 오프
 * @property width
 * @property persistent
 * @property hideCloseBtn
 * @property icon
 * @property title
 * @slot 내용
 * @csspart container
 * @csspart icon
 * @csspart title
 * @csspart content
 * @csspart buttons
 * @csspart anchor
 */
export declare class HbPageDialog extends Base {
    static get styles(): any[];
    loading: boolean;
    baseLoadingDuration: number;
    width: string;
    open: boolean;
    icon: string;
    title: string;
    persistent: boolean;
    hideCloseBtn: boolean;
    transitionType: HbTransitionType;
    disabled: boolean;
    get eventDisabled(): boolean;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        buttons: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        eventDisabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        persistent: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        hideCloseBtn: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        width: {
            type: StringConstructor;
            Reflect: boolean;
        };
        loading: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        baseLoadingDuration: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        buttonAlign: {
            type: StringConstructor;
            Reflect: boolean;
        };
        title: {
            type: StringConstructor;
            Reflect: boolean;
        };
        icon: {
            type: StringConstructor;
            Reflect: boolean;
        };
        transitionType: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    render(): import("lit").TemplateResult<1>;
    onClose(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-page-dialog': HbPageDialog;
    }
}
