import '../';
import { Base } from "../../../base";
import { HbTransitionType, type HbDialogAnchor, type HbDialogButton } from "../../../../index";
/**
 * @fires close 닫기
 * @property open 온 오프
 * @property width
 * @property persistent
 * @property hideCloseBtn
 * @property icon
 * @property title
 * @slot 내용
 * @csspart container
 * @csspart icon
 * @csspart title
 * @csspart content
 * @csspart buttons
 * @csspart anchor
 */
export declare class HbSheetDialog extends Base {
    static get styles(): any[];
    loading: boolean;
    baseLoadingDuration: number;
    width: string;
    open: boolean;
    title: string;
    persistent: boolean;
    hideCloseBtn: boolean;
    buttonAlign: string;
    anchor: HbDialogAnchor;
    buttons: HbDialogButton[];
    transitionType: HbTransitionType;
    disabled: boolean;
    get eventDisabled(): boolean;
    static get properties(): {
        open: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        buttons: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        eventDisabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        anchor: {
            type: ObjectConstructor;
            Reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        persistent: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        hideCloseBtn: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        width: {
            type: StringConstructor;
            Reflect: boolean;
        };
        loading: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        baseLoadingDuration: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        buttonAlign: {
            type: StringConstructor;
            Reflect: boolean;
        };
        title: {
            type: StringConstructor;
            Reflect: boolean;
        };
        transitionType: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    render(): import("lit").TemplateResult<1>;
    adapterEvent(button: HbDialogButton, index: number): Promise<void>;
    onClose(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-sheet-dialog': HbSheetDialog;
    }
}
