import "../../atom/icon";
import { HbListOption } from "../../atom/list/type";
import { Base } from "../../base";
/**
 * @fires event 값이 변경될때 발생
 * @property value 기본 값
 * @property options Options[] 옵션
 */
export declare class HbSelect extends Base {
    static get styles(): any[];
    selectEl?: HTMLSelectElement;
    disabled: boolean;
    _value?: string;
    options: HbListOption[];
    placeholder: string;
    emptyText: string;
    static get properties(): {
        _value: {
            type: StringConstructor;
            Reflect: boolean;
        };
        value: {
            type: StringConstructor;
            Reflect: boolean;
        };
        disabled: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        options: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        placeholder: {
            type: StringConstructor;
            Reflect: boolean;
        };
        emptyText: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    connectedCallback(): Promise<void>;
    get list(): HbListOption[];
    set value(value: string);
    get value(): string;
    render(): import("lit").TemplateResult<1>;
    onSelect(ev: Event): void;
    attributeChangedCallback(name: string, oldVal: string, newVal: string): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-select': HbSelect;
    }
}
