import "../button";
import { Base } from "../../base";
import { HbToastMessage, HbToastTheme } from './type';
/**
 * @property open 온 오프
 * @slot header - optional, 헤더
 * @slot content - optional, 내용
 * @slot footer - optional, 푸터
 * @csspart container
 * @csspart header
 * @csspart content
 * @csspart footer
 */
interface Timer {
    time: number;
    index: number;
}
export declare class HbToast extends Base {
    static get styles(): any[];
    now: number;
    messages?: HbToastMessage[];
    timer: Timer[];
    duration: number;
    hide: boolean;
    static get properties(): {
        messages: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        duration: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        now: {
            type: NumberConstructor;
            Reflect: boolean;
        };
        hide: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        timer: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
    };
    get messagesTrigger(): HbToastMessage[];
    getHeight(index: number): Promise<void>;
    getShow(index: number): boolean;
    getIconTemplate(theme?: HbToastTheme): import("lit").TemplateResult<1>;
    render(): import("lit").TemplateResult<1>[];
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-toast': HbToast;
    }
}
export {};
