import "../../atom/icon";
import "../../atom/responsive";
import "../../molecule/anchor";
import { Base } from "../../base";
import type { HbFooterChildren, HbFooterMenu, HbFooterSocialMenu } from './type';
/**
 * @fires change 값이 변경될때 발생
 * @property attributeSync true 시 value값이 arrtibute 싱크됨
 * @property fixed true 시 overflow에서 넘어감
 * @property value 기본 값
 * @property options Options[] 옵션
 * @property search 서치 온오프
 * @slot icon - optional, icon부분을 커스텀할때 사용
 * @slot caret - optional, caret부분을 커스텀할때 사용
 * @slot option - required, select의 옵션 엘리먼트
 * @csspart label
 * @csspart list
 */
export declare class HbFooter extends Base {
    static get styles(): any[];
    menu: HbFooterMenu[];
    socialMenu: HbFooterSocialMenu[];
    upriseInfo: string[];
    company: string;
    copy: string;
    tel: string;
    static get properties(): {
        menu: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        socialMenu: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        upriseInfo: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        copy: {
            type: StringConstructor;
            Reflect: boolean;
        };
        tel: {
            type: StringConstructor;
            Reflect: boolean;
        };
    };
    get footer(): import("lit").TemplateResult<1>;
    get menuTemplate(): import("lit").TemplateResult<1>;
    childrenTemplate(children: HbFooterChildren[]): import("lit").TemplateResult<1>;
    get socialMenuTemplate(): import("lit").TemplateResult<1>;
    get upriseInfoTemplate(): import("lit").TemplateResult<1>;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-footer': HbFooter;
    }
}
