import "../../atom/responsive";
import "../../molecule/anchor";
import "../../molecule/button";
import "../../molecule/img";
import { Size } from "../../atom/variable/type";
import { Base } from "../../base";
import { HbHeaderMyMenu, HbHeaderNavi, HbHeaderType, HbHeaderUser } from './type';
/**
 * @fires change 값이 변경될때 발생
 * @property attributeSync true 시 value값이 arrtibute 싱크됨
 * @property fixed true 시 overflow에서 넘어감
 * @property value 기본 값
 * @property options Options[] 옵션
 * @property search 서치 온오프
 * @slot icon - optional, i<con부분을 커스텀할때 사용
 * @slot caret - optional, caret부분을 커스텀할때 사용
 * @slot option - required, select의 옵션 엘리먼트
 * @csspart label>
 * @csspart list
 */
export declare class HbHeader extends Base {
    static get styles(): any[];
    active: string;
    type: HbHeaderType;
    user: HbHeaderUser;
    loggedin: boolean;
    pending: boolean;
    sidemenu: boolean;
    gnb: HbHeaderNavi[];
    myMenu: HbHeaderMyMenu[];
    authMenu: HbHeaderNavi[];
    defaultMenu: HbHeaderNavi[];
    get userName(): string;
    get welcomeMessage(): string;
    get userEmail(): string;
    get isGnb(): HbHeaderNavi[];
    get isGnbString(): string;
    isActive(href?: string): "" | " active";
    get isMyMenu(): HbHeaderMyMenu[];
    get isAuthMenu(): HbHeaderNavi[];
    get isDefaultMenu(): HbHeaderNavi[];
    get isMyMenuString(): string;
    get isAuthMenuString(): string;
    get isDefaultMenuString(): string;
    get isType(): HbHeaderType;
    static get properties(): {
        type: {
            type: StringConstructor;
            Reflect: boolean;
        };
        active: {
            type: StringConstructor;
            Reflect: boolean;
        };
        sidemenu: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        loggedin: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        pending: {
            type: BooleanConstructor;
            Reflect: boolean;
        };
        navigations: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        gnb: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        defaultMenu: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        myMenu: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        authMenu: {
            type: ArrayConstructor;
            Reflect: boolean;
        };
        user: {
            type: ObjectConstructor;
            Reflect: boolean;
        };
    };
    gnbTemplateForDesktop(): import("lit").TemplateResult<1>;
    gnbTemplate: () => import("lit").TemplateResult<1>;
    myMenuTemplate: (size?: Size) => import("lit").TemplateResult<1>;
    authMenuTemplate: () => import("lit").TemplateResult<1>;
    defaultMenuForDesktopTemplate(): import("lit").TemplateResult<1>;
    defaultMenuTemplate: () => import("lit").TemplateResult<1>;
    onClose(): void;
    onClickGroup(event: Event): void;
    onEnterGroup(event: Event): void;
    onLeaveGroup(event: Event): void;
    onEnterSide(): void;
    onLeaveSide(): void;
    adapterEvent(event: Function | undefined): void;
    render(): import("lit").TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'hb-header': HbHeader;
    }
}
