import { HbButtonProps } from "../../molecule/button/type";
import { type HbAnchorProps } from "../../../index";
export interface HbHeaderChip {
    src: string;
    alt: string;
}
export type HbHeaderType = 'normal' | 'clear';
export interface HbHeaderGroup extends HbAnchorProps {
    name: string;
    desc: string;
    badge?: string;
    active?: string;
}
export interface HbHeaderNavi extends HbAnchorProps {
    name: string;
    chip?: HbHeaderChip;
    group?: HbHeaderGroup[];
    groupOpen?: boolean;
    badge?: string;
    active?: string;
}
export interface HbHeaderProps {
    gnb: HbHeaderNavi[];
    myMenu: HbHeaderMyMenu[];
    authMenu: HbHeaderNavi[];
    defaultMenu: HbHeaderDefaultMenu[];
    type?: HbHeaderType;
    user?: HbHeaderUser;
    badge?: string;
    loggedin?: boolean;
    pending?: boolean;
    event?: () => void;
}
export interface HbHeaderDefaultMenu {
    name: string;
    active?: string;
    badge?: string;
    event?: () => void;
}
export interface HbHeaderMyMenu extends HbButtonProps {
    name: string;
    chip?: HbHeaderChip;
    badge?: string;
    event: () => void;
}
export interface HbHeaderUser {
    name?: string;
    email?: string;
    global?: {
        name: string;
        message: string;
    };
}
export declare const initialHeaderGnb: HbHeaderNavi[];
export declare const initialHeaderMyMenu: HbHeaderMyMenu[];
export declare const initialHeaderAuthMenu: HbHeaderNavi[];
export declare const initialHeaderDefaultMenu: HbHeaderDefaultMenu[];
